#ifndef KERNEL_H
#define KERNEL_H

#include <stdlib.h>

void linear_matrix(double *x, int nn, int pp, double *k);
void linear_vector(double *a, double *x, int nn, int pp, double *k);
void gaussian_matrix(double *x, int nn, int pp, double *k, double sigma);
void gaussian_vector(double *a, double *x, int nn, int pp, double *k, double sigma);

#endif /* KERNEL_H */
